{% extends "base_annexe.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>SO requests<br><small class="text-muted">(SO API)</small></h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>startTime</th>
                <th>serviceInstanceName</th>
                <th>modelName</th>
                <th>requestType</th>
                <th>requestStatus</th>
                <th>requestId</th>
            </tr>
            </thead>
            <tbody>
            {% for so_request in so_requests | reverse %}
                {% if so_request['request']['instanceReferences']['requestorId'] == 'NBI'  %}
            <tr>
              <td>
                  <class="so_request" type="text" id="{{loop.index}}" name="{{loop.index}}"
                  value="{{loop.index}}">{{loop.index}}
              </td>
              <td>
                  <class="so_request" type="text" id="startTime_{{loop.index}}" name="startTime_{{loop.index}}"
                  value="{{so_request['request']['startTime']}}">{{so_request['request']['startTime']}}
              </td>
              <td>
                  <class="so_request" type="text" id="serviceInstanceName_{{loop.index}}" name="serviceInstanceName_{{loop.index}}"
                  value="{{so_request['request']['instanceReferences']['serviceInstanceName']}}">{{so_request['request']['instanceReferences']['serviceInstanceName']}}
              </td>
              <td>
                  <class="so_request" type="text" id="modelName_{{loop.index}}" name="modelName_{{loop.index}}"
                  value="{{so_request['request']['requestDetails']['modelInfo']['modelName']}}">{{so_request['request']['requestDetails']['modelInfo']['modelName']}}
              </td>
              <td>
                  <class="so_request" type="text" id="requestType_{{loop.index}}" name="requestType_{{loop.index}}"
                  value="{{so_request['request']['requestType']}}">{{so_request['request']['requestType']}}
              </td> 

              <td>
                  <class="so_request" type="text" id="requestState_{{loop.index}}" name="requestState_{{loop.index}}"
                  value="{{so_request['request']['requestStatus']['requestState']}}">{{so_request['request']['requestStatus']['requestState']}}
              </td>
              <td>
                  <class="so_request" type="text" id="requestId_{{loop.index}}" name="requestId_{{loop.index}}"
                  value="{{so_request['request']['requestId']}}">{{so_request['request']['requestId']}}
              </td>
            </tr>
                {% endif %}
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
